VRPlatformVRPlatform
General ledger

/general-ledger/historical

Import historic general-ledger journal entries on the historical ledger; re-posting the same uniqueRef replaces that import

POST
/general-ledger/historical
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

dryRun?boolean

Validate this request through the real write path, then roll back all changes. See https://docs.vrplatform.app/api/dry-run-mode.

Request Body

application/json

uniqueRef*string
Length1 <= length
description?string|null
currency?string|null
entries*
Items1 <= items

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/general-ledger/historical" \  -H "Content-Type: application/json" \  -d '{    "uniqueRef": "string",    "entries": [      {        "uniqueRef": "string",        "date": "string",        "lines": [          {            "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",            "centTotal": -9007199254740991          }        ]      }    ]  }'
{
  "uniqueRef": "string",
  "replaced": true,
  "transactionCount": 9007199254740991,
  "journalEntryCount": 9007199254740991,
  "transactionIds": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ]
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}